# Interface ICefBaseRefCounted

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefBaseRefCounted = interface(IInterface)`

## Description

All ref-counted framework interfaces must inherit from this interface.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_base_capi.h">CEF source file: /include/capi/cef_base_capi.h (cef_base_ref_counted_t))

###### Attributes

GUID['{1F9A7B44-DCDC-4477-9180-3ADD44BDEB7B}']

## Hierarchy

- IInterface
- ICefBaseRefCounted

## Overview

### Methods

| `function Wrap: Pointer;`
| `function SameAs(aData : Pointer) : boolean; overload;`
| `function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;`
| `function HasOneRef: boolean;`
| `function HasAtLeastOneRef: boolean;`
| `procedure DestroyOtherRefs;`

## Description

### Methods

| `function Wrap: Pointer;`
Called to increment the reference count for the object. Should be called for every new copy of a pointer to a given object.

| `function SameAs(aData : Pointer) : boolean; overload;`
Compares the aData pointer with the FData field if the current instance.

| `function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;`
This item has no description.

| `function HasOneRef: boolean;`
Returns true (1) if the current reference count is 1.

| `function HasAtLeastOneRef: boolean;`
Returns true (1) if the current reference count is at least 1.

| `procedure DestroyOtherRefs;`
Releases all other instances.

Generated by PasDoc 0.16.0-snapshot.